import { ProjectParams, ProjectListGetResultModel, ProjectModel } from './model/projectModel';
import { defHttp } from '@/utils/http/axios';
import { ListItem, ProjectPageParams } from '@/api/project/model/biddingPlanModel';

enum Api {
  GetList = '/pro/fundPlanYear/page',
  GetAnnualPlanList = '/pro/reportCenter/yearFund',
  GetContent = '/pro/fundPlanYear/selectproBypan',
  AddannualPlanProject = '/pro/fundPlanYear/add',
  UpdateProject = '/pro/fundPlanYear/update',
  ProjectDetail = '/pro/fundPlanYear/details',
  audit = '/pro/fundPlanYear/examine',
  ProjectList = '/pro/fundPlanYear/selectplan',
  DeleteProject = '/pro/fundPlanYear/del',
  GetAnnualPlanDetail = '/pro/reportCenter/details/yearFund',
}
export const getAnnualPlanList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });

export const getAnnualPlanTotalList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetAnnualPlanList, data: params });

export const getAnnualPlanDetail = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetAnnualPlanDetail, params });

export const getContent = (params?: { investmentId: any }) =>
  defHttp.get<ListItem[]>({ url: Api.GetContent, params });

export const getAnnualPlanProjectList = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.ProjectList,
    data: params,
    // headers: {
    //   'Content-Type': 'application/json;charset=UTF-8',
    // },
  });

export const addItem = (params?: ProjectPageParams) =>
  defHttp.post<ProjectModel>({
    url: Api.AddannualPlanProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.UpdateProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const getItem = (params?: any) =>
  defHttp.get<ListItem[]>({ url: Api.ProjectDetail, params });

export const auditItem = (params?: any) => defHttp.post<ListItem[]>({ url: Api.audit, params });

export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });
