import {
  ProjectPageParams,
  ListGetResultModel,
  ProjectModel,
  ListItem,
} from './model/biddingManagementModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  GetList = '/pro/tenderManager/page',
  tendermanageGetList = '/pro/reportCenter/tendermanage',
  AddProject = '/pro/tenderManager/add',
  UpdateProject = '/pro/tenderManager/update',
  DeleteProject = '/pro/tenderManager/del',
  ProjectDetail = '/pro/tenderManager/details',
  selectCount = '/pro/tenderManager/selectCount',
  Itemdelete = '/pro/tenderManager/details/del',
  audit = '/pro/tenderManager/examine',
  GetListAll = '/pro/tenderManager/selectAll',
  ExportCount = '/pro/export/tendMangeStatistic'
}
export const getListByPage = (params?: ProjectPageParams) =>
  defHttp.post<ListGetResultModel>({ url: Api.GetList, data: params });

export const tendermanageGetListByPage = (params?: ProjectPageParams) =>
    defHttp.post<ListGetResultModel>({ url: Api.tendermanageGetList, data: params });

export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.AddProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.UpdateProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const Itemdelete = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.Itemdelete, params });

export const getItem = (params?: any) =>
  defHttp.get<ListItem[]>({ url: Api.ProjectDetail, params });
export const auditItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.audit,
    data: params,
  });

export const selectCount = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.selectCount,
    data: params,
  });

export const getListAll = (params?: any) =>
    defHttp.post<ProjectModel>({ url: Api.GetListAll, data: params });

export const exportStatisticList = (params?: any) =>
    defHttp.post<any>(
        {
            url: Api.ExportCount,
            data: params,
            responseType: 'blob',
        },
        { errorMessageMode: 'none', isTransformResponse: false },
    );
