import { ProjectPageParams, ListGetResultModel, ProjectModel } from './model/biddingPlanModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  GetList = '/pro/tenderPlan/page',
  tenderPlanGetList = '/pro/reportCenter/tenderPlan',
  AddProject = '/pro/tenderPlan/add',
  UpdateProject = '/pro/tenderPlan/update',
  DeleteProject = '/pro/tenderPlan/del',
  ProjectDetail = '/pro/tenderPlan/details',
  Itemdelete = '/pro/tenderPlan/details/del',
  audit = '/pro/tenderPlan/examine',
  selectCount = '/pro/tenderPlan/selectCount',
  GetListAll = '/pro/tenderPlan/listAll',
  ExportCount = '/pro/export/tenderPlanStatistic',
}
export const getListByPage = (params?: ProjectPageParams) =>
  defHttp.post<ListGetResultModel>({ url: Api.GetList, data: params });

/*export const getListTenderPlanGetList = (params?: ProjectPageParams) =>
  defHttp.post<ListGetResultModel>({ url: Api.tenderPlanGetList, data: params });*/
export const getListAll = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.GetListAll, data: params });
export const exportTenderCount = (params?: any) =>
  defHttp.post<any>(
    {
      url: Api.ExportCount,
      data: params,
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );

//招标计划列表接口
export const getListTenderPlanGetList = (params) =>
  defHttp.post({
    url: Api.tenderPlanGetList,
    params,
  });
export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.AddProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.UpdateProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const selectCount = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.selectCount,
    data: params,
  });

export const auditItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.audit,
    data: params,
  });
export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const Itemdelete = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.Itemdelete, params });

export const getItem = (params?: any) => defHttp.get<planModel>({ url: Api.ProjectDetail, params });
