import { ProjectParams, ProjectPageParams, ProjectModel } from './model/engineeringprojectModel';
import { defHttp } from '@/utils/http/axios';
import { ListItem, ProjectPageParams } from '@/api/project/model/biddingPlanModel';

enum Api {
  GetList = '/pro/investmentPlan/getList',
  GetEngineProjectList = '/pro/overdueFunds/getProject',
  AddEngineeringProject = '/pro/investmentPlan/add',
  UpdateProject = '/pro/investmentPlan/edit',
  ProjectDetail = '/pro/investmentPlan/getById',
  audit = '/pro/investmentPlan/audit',
  DeleteProject = '/pro/investmentPlan/delete',
  selectCount = '/pro/investmentPlan/selectCount',
  statisticEngineProject = '/pro/investmentPlan/statisticEngineering',
  statisticEngineProjectDetails = '/pro/investmentPlan/statisticEngineeringDetails',
  exportStatisticEngine = '/pro/investmentPlan/exportStatisticEngineer',
}

export const selectCount = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.selectCount,
    params,
  });

export const getEngineeringList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });

export const getEngineeringProjectList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetEngineProjectList, data: params });

export const addItem = (params?: ProjectPageParams) =>
  defHttp.post<ProjectModel>({
    url: Api.AddEngineeringProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.UpdateProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

// export const deleteItem = (params?: any) =>
//     defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const getItem = (params?: any) =>
  defHttp.get<ListItem[]>({ url: Api.ProjectDetail, params });

export const auditItem = (params?: any) => defHttp.post<ListItem[]>({ url: Api.audit, params });

export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const getStatisticEngineProject = (params?: any) =>
  defHttp.post<any>({
    url: Api.statisticEngineProject,
    params,
  });

export const getStatisticEngineProjectDetails = (params?: any) =>
  defHttp.post<any>({
    url: Api.statisticEngineProjectDetails,
    params,
  });

export const exportStatisticEngine = (params?: any) =>
  defHttp.post<any>(
    {
      url: Api.exportStatisticEngine,
      data: params,
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );
