import { defHttp } from '@/utils/http/axios';

enum Api {
  tenderPlan = '/pro/export/tenderPlan',
  tenderManage = '/pro/export/tenderManage',
}

export const tenderPlanExport = (params?: any) =>
  defHttp.post<any>(
    {
      url: Api.tenderPlan,
      data: params,
      headers: {
        'Content-Type': 'application/json;charset=UTF-8',
      },
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );

export const tenderManageExport = (params?: any) =>
  defHttp.post<any>(
    {
      url: Api.tenderManage,
      data: params,
      headers: {
        'Content-Type': 'application/json;charset=UTF-8',
      },
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );

//结算管理  变更签证管理  报表中心导出专用
export const exportData = (url: string, params?: any) =>
  defHttp.post<any>(
    {
      url: url,
      data: params,
      headers: {
        'Content-Type': 'application/json;charset=UTF-8',
      },
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );
