import { BasicPageParams, BasicFetchResult } from '@/api/model/baseModel';
export type ProjectParams = {
    //年份
    givenYear?: string;
    //companyName
    companyName?: string;
    //季度
    quarter:string
};

export type ProjectPageParams = BasicPageParams & ProjectParams;
export interface ProjectListItem {
    id: string;
    //合同id
    contractId: string;
    projectInvestment: string;
    biddingMethod: string;
    firstPartyName: string;
    secondPartyName: string;
    formOfContract: string;
    contractSigningTime: string;
    closingTime: string;
    contractAmount: string;
    superContractScale: string;
    submittedForSettlement: string;
    meetingMinutes: string;
    remark: string;
    fundingSource: string;
    projectName: string;
    proportionContractAmount: string;
    createTime: null;
    createBy: string;
    updateTime: null;
    updateBy: string;
}

export interface ChangModel {
    id?: string | number;
    constructionMode: string;
    isReserveProject: string;
    projectType: string;
    projectOverview: string;
    constructionPurpose: string;
}

export interface ProjectModel<P, C> {
    management: P[];
    proClosingQuarter: C;
}


interface Contract {
    contractId: number;
    projectName: string;
    fundingSource: string;
    projectInvestment: string;
    biddingMethod: string;
    contractType: string;
    contractName: string;
    firstPartyName: string;
    secondPartyName: string;
    formOfContract: string;
    contractSigningTime: string;
    closingTime: string;
    closingTimeDatetime: string;
    contractAmount: string;
    submittedForSettlement: string;
    superContractScale: string;
    sumOfMoney: string;
    proportionContractAmount: string;
    meetingMinutes: string;
    remark: string;
}

interface ProjectManagement {
    //项目id
    projectId: number;
    //项目名称
    projectName: string;
    //资金来
    fundingSource: string;
    contract: Contract[];
}

interface ProClosingQuarter {
    companyName: string;
    status: string;
    quarter: string;
    givenYear: string;
    yearQuarter: string;
}


export type ProjectListGetResultModel = BasicFetchResult<ProjectListItem>;

export type EditModel = ProjectModel<ProjectManagement[], ProClosingQuarter>
