import { ProjectParams, ProjectModel } from './model/projectModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
  GetList = '/pro/monthEngineer/page',
  GetMonthlyPlanTotalList = '/pro/reportCenter/mothFund',
  AddProject = '/pro/monthEngineer/add',
  UpdateProject = '/pro/monthEngineer/update',
  UpdateOptimize = '/pro/monthEngineer/updateOptimize',
  DeleteProject = '/pro/monthEngineer/delInTable',
  ProjectDetail = '/pro/monthEngineer/details',
  Itemdelete = '/pro/monthEngineer/delByDetail',
  audit = '/pro/monthEngineer/audit',
  selectCount = '/pro/monthEngineer/selectCount',
  GetMonthlyPlanDetail = '/pro/reportCenter/details/details',
  GetStatisticMonthEngineer = '/pro/monthEngineer/statistic/monthEngineer',
  GetStatisticDetails = '/pro/import/lunch',
  ExportCount = '/pro/export/monthlyStatisticExport',
  selectDeptById = '/pro/sys/sysDeptId',
  GetMothCycelDetails = '/pro/mothCycle/details',
  MothCycelEdit = '/pro/mothCycle/edit',
  BusinessComDetails = '/pro/monthEngineer/businessComDetails',
  EditStatus = '/pro/mothCycle/editStatus',
  SafetyHazard = '/pro/export/safetyHazard'
}

export const getMonthlyPlanList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });

export const getMonthlyPlanTotalList = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetMonthlyPlanTotalList, data: params });

export const getMonthlyPlanDetail = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetMonthlyPlanDetail, data: params });

export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.AddProject,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.UpdateOptimize,
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8',
    },
  });
export const selectCount = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.selectCount,
    params,
  });
export const auditItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.audit,
    params,
  });
export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const Itemdelete = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.Itemdelete, params });

export const getItem = (params?: any) =>
  defHttp.get<ProjectModel>({ url: Api.ProjectDetail, params });

export const getStatistic = (params?: any) =>
  defHttp.post<any>({
    url: Api.GetStatisticMonthEngineer,
    params,
  });

export const getStatisticDetails = (params?: any) =>
  defHttp.post<any>({
    url: Api.GetStatisticDetails,
    params,
  });

export const exportMonthCount = (params?: any) =>
  defHttp.post<any>(
    {
      url: Api.ExportCount,
      data: params,
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );
export const exportSafetyHazard = (params?: any) =>
    defHttp.post<any>(
        {
            url: Api.SafetyHazard,
            data: params,
            responseType: 'blob',
        },
        { errorMessageMode: 'none', isTransformResponse: false },
    );

export const getSelectDeptById = (params?: any) =>
  defHttp.post<any>({
    url: Api.selectDeptById,
    params,
  });

export const getMothCycel = (params?: any) =>
  defHttp.post<any>({
    url: Api.GetMothCycelDetails,
    params,
  });

export const SetMothCycelEdit = (params?: any) =>
  defHttp.post<any>({
    url: Api.MothCycelEdit,
    params,
  });
export const SetEditStatus = (params?: any) =>
  defHttp.post<any>({
    url: Api.EditStatus,
    params,
  });
export const getFillComDetails = (params?: any) =>
  defHttp.post<any>({
    url: Api.BusinessComDetails,
    params,
  });
