import { defHttp } from '@/utils/http/axios';
import { ProjectModel, ProjectParams } from '@/api/project/model/projectModel';

enum Api {
  GetList = '/pro/educationTraining/page',
  safetyEducationGetList = '/pro/educationTraining/page',
  UpdateProject = '/pro/educationTraining/update',
  DeleteProject = '/pro/educationTraining/del',
  GetUserList = '/pro/sys/sysUser',
  GetListAll = '/pro/educationTraining/selectAll',
  GetAllType = '/pro/educationTraining/getAllType',
  ExportSafetyEducation = '/pro/export/safetyEducation',
  Audit = '/pro/educationTraining/audit',
  GetCycelDetails = '/pro/educationTraining/cycle/details',
  EditCycel = '/pro/educationTraining/cycle/edit',
  EditStatus = '/pro/educationTraining/cycle/editStatus',
  BusinessComDetails = '/pro/educationTraining/cycle/businessComDetails',
}

export const getListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });

export const safetyEducationGetListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.safetyEducationGetList, data: params });

export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.UpdateProject, data: params });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.UpdateProject, data: params });

export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });

export const getUserList = () => defHttp.post<ProjectModel>({ url: Api.GetUserList });

export const getListAll = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.GetListAll, data: params });

export const getAllType = () => defHttp.get<ProjectModel>({ url: Api.GetAllType });

// 导出
export const exportSafetyEducation = (params?: any) =>
  defHttp.post<any>(
    {
      url: Api.ExportSafetyEducation,
      data: params,
      responseType: 'blob',
    },
    { errorMessageMode: 'none', isTransformResponse: false },
  );

//审核接口
export const auditItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.Audit,
    params,
  });

export const getCycel = (params?: any) =>
  defHttp.post<any>({
    url: Api.GetCycelDetails,
    params,
  });

export const setCycel = (params?: any) =>
  defHttp.post<any>({
    url: Api.EditCycel,
    params,
  });

export const setEditStatus = (params?: any) =>
  defHttp.post<any>({
    url: Api.EditStatus,
    params,
  });

export const getFillComDetails = (params?: any) =>
  defHttp.post<any>({
    url: Api.BusinessComDetails,
    params,
  });
