import { defHttp } from '@/utils/http/axios';
import { ProjectModel, ProjectParams } from '@/api/project/model/projectModel';

enum Api {
  GetList = '/pro/dangerManagement/page',
  GetListAll = '/pro/dangerManagement/all',
  potentialSafetyGetList = '/pro/dangerManagement/page',
  UpdateProject = '/pro/dangerManagement/update',
  DeleteProject = '/pro/dangerManagement/del',
  Audit = '/pro/dangerManagement/audit',
  GetCycelDetails = '/pro/dangerManagement/cycle/details',
  EditCycel = '/pro/dangerManagement/cycle/edit',
  EditStatus = '/pro/dangerManagement/cycle/editStatus',
  BusinessComDetails = '/pro/dangerManagement/cycle/businessComDetails',
}

export const getListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetList, data: params });
export const getListByAll = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.GetListAll, data: params });

export const potentialSafetyGetListByPage = (params?: ProjectParams) =>
  defHttp.post<ProjectModel>({ url: Api.potentialSafetyGetList, data: params });
export const addItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.UpdateProject, data: params });

export const updateItem = (params?: any) =>
  defHttp.post<ProjectModel>({ url: Api.UpdateProject, data: params });

export const deleteItem = (params?: any) =>
  defHttp.delete<ProjectModel>({ url: Api.DeleteProject, params });
//审核接口
export const auditItem = (params?: any) =>
  defHttp.post<ProjectModel>({
    url: Api.Audit,
    params,
  });

export const getCycel = (params?: any) =>
  defHttp.post<any>({
    url: Api.GetCycelDetails,
    params,
  });

export const setCycel = (params?: any) =>
  defHttp.post<any>({
    url: Api.EditCycel,
    params,
  });

export const setEditStatus = (params?: any) =>
  defHttp.post<any>({
    url: Api.EditStatus,
    params,
  });

export const getFillComDetails = (params?: any) =>
  defHttp.post<any>({
    url: Api.BusinessComDetails,
    params,
  });
